Thread: Far Cry 4 trainer | Forums

  1. #1

    Far Cry 4 trainer

    I'm a senior citizen, and have a hard time with some parts of the game but I do love playing it. Sometimes these hard parts stop me from progressing in the game. The answer for me is to use a game trainer.

    I had a good one the worked but stopped working with the 1.10 upgrade. Does anyone know of a SAFE trainer that works with version 1.10?
    Share this post

  2. #2
    https://megagames.com/games/far-cry-4

    I use the Fling trainer, about the 4th one down. It says 1.9, but it works for me today with 1.10.
    Share this post